#include "INode.h"

INode::INode ()
{
}

INode::INode (Geometry* geo) : m_kGeometry(geo)
{
}

void INode::SetGeometry(Geometry* geo)
{
	m_kGeometry = geo;
}

Geometry* INode::GetGeometry()
{
	return m_kGeometry;
}

int INode::GetUsed() const
{
	return m_kChild.size();
}

int INode::AttachChild(INode* pkChild)
{
	m_kChild.push_back(pkChild);
	return m_kChild.size();
}

int INode::DetachChild(INode* pkChild)
{
	//MUSS NOCH MACHEN
	return -1;	
}

INode* INode::DetachChildAt(int i)
{
	INode* tmp = m_kChild[i];
	m_kChild[i] = NULL;
	return tmp;
}

INode* INode::SetChild(int i, INode* pkChild)
{
	INode* tmp = m_kChild[i];
	m_kChild[i] = pkChild;
	return tmp;
}

INode* INode::GetChild(int i)
{
	return m_kChild[i];
}