#pragma once
#include <IL/ilu.h>
#include <IL/il.h>
#include <iostream>
#include <vector>
#include <string>

class Img
{
	public:
		/**
		 * Standardconstructor
		 **/
		Img():imageload(false){};
		/**
		 * Standarddeconstructor
		 **/
		~Img(){ilDeleteImages(1, & handle);free(data); data = NULL;};
		/**
		 * Returns true if a imaged is loaded
		 **/
		bool IsImageLoad();
		/**
		 * This method loads an image
		 * @param type type of image
		 * @param FileName filename of image to load
		 **/
		bool LoadImg(ILenum Type, std::string FileName);

		/**
		 * This method returns erros
		 **/
		static void GetErrors();

		static ILfloat* LoadImgGetFloat(ILenum Type, std::string FileName, int &width, int &height);

		/**
		 * This method returns the width of the image
		 * @return width of the image
		 **/
		int GetWidth();
		/**
		 * This method returns the height of the image
		 * @return height of the image
		 **/
		int GetHeight();
		/**
		 * This method returns the data of the image
		 * @return data
		 **/
		ILubyte* GetData();
		
		ILuint handle;

		static std::vector<Img*> images;

		double id;
	private:
		bool imageload;
		ILuint width, height;		
		ILubyte * data;
};
