#pragma once
#include "common.hpp"

class ShaderObj
{
public:
	enum ParameterObjType
	{
		PT_INT,
		PT_FLOAT,
		PT_INT2,
		PT_FLOAT2,
		PT_INT3,
		PT_FLOAT3,
		PT_INT4,
		PT_FLOAT4,
		PT_MAT2,
		PT_MAT3,
		PT_MAT4
	};

public:
	/**
	 * Standardconstructor
	 **/
	ShaderObj(void);
	/**
	 * Constructor
	 * @param name ... name in shader
	 * @param value ... value
	 **/
	ShaderObj(std::string name, int type, float* value);
	/**
	 * Standarddeconstructor
	 */
	~ShaderObj(void);

	unsigned int m_id;
	int m_type;
	float* m_value;

	std::string m_var;
};

