#include <GL/glew.h>

#include "MainWindow.h"
#include <QApplication>

#include "ParticleSystemCuda.h"

int main(int argc, char* argv[])
{
	//set the default OpenGL Version to 3.3
	QGLFormat fmt;
	fmt.setVersion(3,3);
	fmt.setProfile(QGLFormat::CoreProfile); //CoreProfile!?
	//QGLFormat::OpenGLContextProfile pro = fmt.profile();
	QGLFormat::setDefaultFormat(fmt);

	int t = 0;
	try
	{
		QApplication app(argc, argv);
		MainWindow* mainWindow = new MainWindow();
		mainWindow->show();
		t = app.exec();
	}
	catch (...) 
	{
		int a = 0;
		scanf("%d",&a);
	}
	return 	t;
}