#pragma once
#include "Cuda.h"

class CudaVolumen
{
public:
	/**
	 * Standardconstructor
	 */
	CudaVolumen(void);
	/**
	 * Standarddeconstructor
	 */
	~CudaVolumen(void);

	/**
	 * Create Volume
	 * @param m_data Data
	 */
	void Create(float* m_data);
	/**
	 * Create Volume
	 * @param m_data Data
	 */
	void Create(float4* m_data);

	cudaArray *m_array;
	
	cudaExtent m_res;
};

