#pragma once
#include "VertexGeometry.h"

class Primitives
{
public:
	/**
	 * Standardconstructor
	 */
	Primitives(void);
	/**
	 * Standarddeconstructor
	 */
	~Primitives(void);

	/**
	 * This method returns a standard plane object
	 * @return plane object
	 */
	static VertexGeometry* GetPlane();
	/**
	 * This method returns another plane object
	 * @return plane object
	 */
	static VertexGeometry* GetPlane2();
	/**
	 * This method returns a standard box object
	 * @return box object
	 */
	static VertexGeometry* GetBox();
	/**
	 * This method returns another box object
	 * @return box object
	 */
	static VertexGeometry* GetBox2();
	/**
	 * This method returns a sphere object
	 * @return sphere object
	 */
	static VertexGeometry* GetSphere();
};

