#include "RenderStates.h"


RenderStates::RenderStates(void)
{
}


RenderStates::~RenderStates(void)
{
}

int RenderStates::ModusChanged = 0;

bool RenderStates::ParticleGradientEnable = true;
bool RenderStates::ParticleCurvatureEnable = true;
bool RenderStates::ParticleFlockingEnable = true;
bool RenderStates::ParticlePredefinedEnable = false;
bool RenderStates::ParticleDensityEnable = true;

float RenderStates::ParticleGradientValue = 0.5f;
float RenderStates::ParticleCurvatureValue = 0.5f;
float RenderStates::ParticleFlockingValue = 0.5f;
float RenderStates::ParticlePredefinedValue = 0.5f;
float RenderStates::ParticleDensityValue = 0.5f;

bool RenderStates::FluidCollisionEnable = true;
bool RenderStates::FluidCollisionCTEnable = true;

float RenderStates::FluidSpringValue = 0.5f;
float RenderStates::FluidDampingValue = 0.02f;
float RenderStates::FluidShearValue = 0.1f;
float RenderStates::FluidSpringCTValue = 0.5f;
float RenderStates::FluidDampingCTValue = 0.02f;
float RenderStates::FluidShearCTValue = 0.1f;
float RenderStates::FluidGravity = 0.003f;

float RenderStates::FluidParticleMass = 0.1f;
float RenderStates::FluidViscosity = 0.1f;
float RenderStates::FluidSiftness = 0.1f;
float RenderStates::FluidRestdensity = 0.1f;

int RenderStates::Compositing = 0;
int RenderStates::RenderMode = 0;
int RenderStates::Addaptive = 0;
float RenderStates::Stepsize = 0.1f;
int RenderStates::MIP = 0;
int RenderStates::Transfer = 1;
int RenderStates::Average  = 0;
int RenderStates::Light  = 1;
int RenderStates::Phong  = 1;

float RenderStates::ParticleSpeed = 0.5f;
float RenderStates::ParticleSize = 0.1f;
int RenderStates::NumberOfParticles = 16*16*16;

bool RenderStates::Play = true;
bool RenderStates::Reset = true;

int RenderStates::HDRMode = 0;
int RenderStates::HDREnable = 0;

bool RenderStates::ParticleCurvature2Enable = false;

float RenderStates::IsoSurface = 0.2;