#include "TPoint.h"


TPoint::TPoint(float x, float y, const QColor& color) : QPointF(x, y)
{
	t_color = color;
}

TPoint::TPoint() : QPointF()
{
}

TPoint::TPoint(const QPoint& point) : QPointF(point)
{
}

TPoint::TPoint(const TPoint & tpoint) : QPointF(tpoint.x(), tpoint.y())
{
	t_color = tpoint.pointColor();
}